summaryrefslogtreecommitdiff
path: root/debian/kdump-tools.postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/kdump-tools.postrm')
-rwxr-xr-xdebian/kdump-tools.postrm34
1 files changed, 34 insertions, 0 deletions
diff --git a/debian/kdump-tools.postrm b/debian/kdump-tools.postrm
new file mode 100755
index 0000000..1f078af
--- /dev/null
+++ b/debian/kdump-tools.postrm
@@ -0,0 +1,34 @@
+#! /bin/sh
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+set -e
+
+#DEBHELPER#
+
+case "$1" in
+ remove)
+ if test -e /etc/zipl.conf;then
+ sed -i "s/ crashkernel=.*M//" /etc/zipl.conf
+ zipl
+ fi
+ if [ -x /usr/sbin/update-grub ] && [ -e /boot/grub/grub.cfg ]; then
+ update-grub
+ fi
+ ;;
+ purge)
+ rm -rf /var/lib/kdump
+ if which ucf > /dev/null 2>&1; then
+ ucf --purge /etc/default/kdump-tools
+ ucfr -p kdump-tools /etc/default/kdump-tools
+ fi
+ rm -f /etc/default/kdump-tools
+ for i in new old dist; do
+ rm -f /etc/default/kdump-tools.ucf-$i
+ done
+ ;;
+esac
+